import { ToastService } from './../toast.service';
import { OnInit, OnDestroy, ViewRef } from '@angular/core';
import { Notification } from '../models/notification';
export declare class NotificationComponent implements OnInit, OnDestroy {
    private toastService;
    data: Notification;
    viewRef: ViewRef;
    created: number;
    isClosed: boolean;
    elapsedMinutes: number;
    progressBarStarted: boolean;
    readonly config: any;
    private interval;
    private seconds;
    constructor(toastService: ToastService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onClose(): void;
    onRemove(): void;
    onStartProgressBar(): void;
    private _setElapsedMinutes;
}
